ArticleGroup_Create
POST
/v1/articlegroups
const url = 'https://rms.dev.caspeco.net/api/booking/v1/articlegroups';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"name":"example","sortOrder":1,"hidden":true,"isRestaurants":true,"onePerGuest":true,"notRelevantForCheckout":true,"id":1,"accountNumber":1,"accountVat25":"example","accountVat12":"example","accountVat06":"example","accountVat00":"example","accountCostOfGoods":"example","colorIndex":1,"color":"example","type":0,"centralKey":"example","changeDate":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/articlegroups \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "name": "example", "sortOrder": 1, "hidden": true, "isRestaurants": true, "onePerGuest": true, "notRelevantForCheckout": true, "id": 1, "accountNumber": 1, "accountVat25": "example", "accountVat12": "example", "accountVat06": "example", "accountVat00": "example", "accountCostOfGoods": "example", "colorIndex": 1, "color": "example", "type": 0, "centralKey": "example", "changeDate": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
sortOrder
integer format: int32
hidden
boolean
isRestaurants
boolean
onePerGuest
boolean
notRelevantForCheckout
boolean
id
integer format: int64
accountNumber
integer format: int32
accountVat25
string
accountVat12
string
accountVat06
string
accountVat00
string
accountCostOfGoods
string
colorIndex
integer format: int32
color
string
type
integer
centralKey
string
changeDate
string format: date-time
Responses
Section titled “Responses”Media typeapplication/json
object
name
string
sortOrder
integer format: int32
hidden
boolean
isRestaurants
boolean
onePerGuest
boolean
notRelevantForCheckout
boolean
id
integer format: int64
accountNumber
integer format: int32
accountVat25
string
accountVat12
string
accountVat06
string
accountVat00
string
accountCostOfGoods
string
colorIndex
integer format: int32
color
string
type
integer
centralKey
string
changeDate
string format: date-time
Example
{ "type": 0}